@echo off
cls
echo.
echo.                    XYZ Company Backup Tool, version 1.0.1
echo.               Copyright (c) 2000 XYZ Company and Symantec Corp.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo Please choose an option below:
echo.
echo 1. Restore hard drive
echo 2. Exit program
Choice /c:12
if errorlevel 2 goto exit_program
cls
echo.
echo.                    XYZ Company Backup Tool, version 1.0.1
echo.               Copyright (c) 2000 XYZ Company and Symantec Corp.
echo.
echo.                    ------------=== Warning! ===------------
echo.                      Restoring the hard drive image will
echo.                      erase all data on the entire drive.
echo.                      Proceed only if you have saved all
echo.                      recoverable personal data.
echo.
echo.
echo Please choose an option below:
echo.
echo 1. Continue to restore hard drive
echo 2. Exit program
Choice /c:12
if errorlevel 2 goto exit_program

restore -chkimg,filename.img -batch -quiet >null
if errorlevel 1 goto failed

echo XYZ Company Backup Tool, version 1.0.1 status:
echo.
echo The image integrity check was successful. Now restoring factory image...
restore.exe -clone,mode=pload,src=filename.img:1,dst=1:1 -batch -quiet >null
if errorlevel 1 goto problem

echo XYZ Company Backup Tool, version 1.0.1 status:
echo.
echo Drive restore was successful. Please remove your CD and reboot your system.
goto exit_program

:failed
echo.
echo.
echo         ----------------------=== Warning! ===------------------------
echo         The image integrity check failed, your system was not restored
echo         Contact XYZ Company Product Support Services at (800) 555-1212
goto exit_program

:problem
echo.
echo.
echo         ----------------------=== Warning! ===------------------------
echo         A problem was encountered restoring the factory drive image.
echo         Contact XYZ Company Product Support Services at (800) 555-1212
goto exit_program

:exit_program
echo.